Bug 1120003 - [DOCS] Certification of BRMS and BPMS on Fuse 6.1
Summary: [DOCS] Certification of BRMS and BPMS on Fuse 6.1
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: DR4
: One-off release
Assignee: Vidya
QA Contact: Marek Winkler
Dawn Eisner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 04:39 UTC by Vikram Goyal
Modified: 2016-10-14 14:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker BXMSDOC-151 Major Resolved (RHBZ#1120003) [DOCS] Certification of BRMS and BPMS on Fuse 6.1 2016-07-07 05:27:16 UTC

Description Vikram Goyal 2014-07-16 04:39:07 UTC
Document the 6.1 PRD Requirement: https://issues.jboss.org/browse/BPMSPL-48. This will require installation of the products on Fuse. It will be a good candidate for the Installation Guides. 

Note that I am not creating two separate issues for BRMS and BPMS and the work for both will be tracked through this bug only.

Comment 1 Vikram Goyal 2014-10-22 04:45:32 UTC
This is now been documented in the Admin & Config Guides and can be verified here [1] for BPMS (it is same content for BRMS).

Moving this to ON_QA.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.1/html-single/Administration_And_Configuration_Guide/index.html#chap-Deploying_Red_Hat_JBoss_BPM_Suite_artifacts_to_Fuse

Comment 3 Marek Winkler 2015-03-23 15:56:20 UTC
The example seems correct, what I miss is the information how KIE/Drools/jBPM dependencies should be configured in the sample application. There are several approaches in OSGi environment:

 1. to bundle required dependencies into your application bundle:

  -- this means declaring all required artifacts as compile/runtime dependencies in your pom.xml,

  -- you do not need to declare <Import-Package> for those packages which are provided by the artifacts you have added as dependencies (you might still need e.g. org.osgi.framework).

 2. to let the OSGi framework wire bundles providing packages that your application bundle needs in runtime:

  -- this means declaring only the API jars (such as org.kie:kie-api) as (provided) dependencies in your application bundle,

  -- you must declare <Import-Package> for all packages your application needs to use from Drools/jBPM bundles,

  -- before attempting to install/start your application bundle, you should have installed required bundles (for instance, feature drools-module defined in drools-karaf-features xml as mentioned in Comment 2).

The first option is less OSGi-friendly, since it bundles everything and you are not able to upgrade used Drools version just by installing newer version of Drools bundles in runtime, for instance. Additional description of this approach can be found in Dependency management section in [1].

The second option is probably preferred in OSGi world for its flexibility, but it depends on the exact use case.

To sum it up:

 - extend the Basic Usage from Chapter 10 to mention the above two approaches (or describe only the second one) for building OSGi application bundles; the current description proposes something in between,

 - please consider updating the guide according to comments in Comment 2.

Thanks!

[1] http://www.javaworld.com/article/2077837/java-se/hello--osgi--part-1--bundles-for-beginners.html?page=3


Note You need to log in before you can comment on or make changes to this bug.